Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Gdk::EventExpose Class Reference

A GdkEventExpose C++ wrapper class. More...

`#include <events.h>`

Inheritance diagram for Inti::Gdk::EventExpose:

List of all members.

## Public Member Functions

Accessors

- GdkEventExpose * gdk_event_expose () const
    Get a pointer to the GdkEventExpose structure.
- const Rectangle & area () const
    Returns the bounding box of region.
- Pointer< Region > region () const
    Returns the region that needs to be redrawn.
- int count () const
    Returns the number of contiguous EXPOSE events following this one.

## Detailed Description

A GdkEventExpose C++ wrapper class.

An EventExpose is generated when all or part of a window becomes visible and needs to be redrawn.

The event type is EXPOSE.

## Member Function Documentation

int Inti::Gdk::EventExpose::count | ( |  | ) | const

| Returns the number of contiguous EXPOSE events following this one. The only use for this is "exposure compression", i.e. handling all contiguous EXPOSE events in one go, though GDK performs some exposure compression so this is not normally needed.

The documentation for this class was generated from the following file:

- events.h

Main Page - Footer